import { useMutation } from "@tanstack/react-query";
import * as api from "../service/UploaderService";

export const useUploadSingle = () => {
  return useMutation({
    mutationFn: (params: File) => api.uploadSingle(params),
  });
};

export const useUploadMultiple = () => {
  return useMutation({
    mutationFn: (params: File[]) => api.uploadMultiple(params),
  });
};
